Generator de coduri QR
Un cod QR pentru un link, un text, rețeaua Wi-Fi, un contact, un e-mail sau un telefon, făcut chiar în pagină, descărcat ca PNG sau SVG.
Ce scrii în cod
Codul
Ce e scris în cod
Ce poate ține un cod
Un link sau orice text, cum e scris. Rețeaua Wi-Fi e scrisă în forma WIFI: descrisă de proiectul ZXing (numele, parola, securitatea, dacă e ascunsă), contactul ca vCard 3.0 (RFC 2426), e-mailul ca legătură mailto: (RFC 6068), cu subiectul și mesajul, iar telefonul ca legătură tel: (RFC 3966), cu prefixul țării.
Ce face un telefon cu un cod citit ține de aplicația care îl citește. Sub cod, la „Ce e scris în cod”, se vede textul exact.
Cum e făcut
După regulile standardului ISO/IEC 18004: textul e scris în cel mai scurt dintre trei moduri (doar cifre, litere mari și cifre, octeți UTF-8), în cea mai mică versiune care îl ține, de la 21 × 21 la 177 × 177 de module, cu corecția aleasă; dacă aceeași versiune ține textul și cu o corecție mai mare, codul o primește pe aceea. Dintre cele opt măști, e aleasă cea cu cea mai mică penalizare.
Codul e făcut chiar în pagină: textul nu pleacă nicăieri. PNG-ul și SVG-ul au în jur marginea albă de patru module pe care o cer regulile.
PNG sau SVG
SVG-ul se mărește oricât fără să se strice: e bun pentru tipar. PNG-ul are cel mult mărimea aleasă, cât să aibă fiecare modul un număr întreg de pixeli, cu marginile drepte.
Întrebări frecvente
Expiră codul QR?
Nu: codul ține chiar textul, nu o trimitere spre un server al nostru. Cât timp linkul din el merge, merge și codul.